cancel
Showing results for 
Search instead for 
Did you mean: 
Data Governance
cancel
Showing results for 
Search instead for 
Did you mean: 

Forum Posts

carlafernandez
by New Contributor III
  • 28081 Views
  • 10 replies
  • 6 kudos

Resolved! Databricks-connect version 13.0.0 throws Exception with details = "Missing required field 'UserContext' in the request."

I'm trying to connect to a cluster with Runtime 13.0 and Unity Catalog through databricks-connect version 13.0.0 (for Python). The spark session seems to initialize correctly but anytime I try to use it, I get the following error:{SparkConnectGrpcExc...

  • 28081 Views
  • 10 replies
  • 6 kudos
Latest Reply
redperiabras
New Contributor II
  • 6 kudos

I have the same error up to DBR 13.3 LTS. When I upgraded it to 14.0, I was then able to connect with my databricks compute from my local environment.

  • 6 kudos
9 More Replies
DataEngineer92
by New Contributor II
  • 2747 Views
  • 4 replies
  • 2 kudos

Resolved! Databricks-connect 11.3 works with Unity Catalog ?

Databricks-connect 11.3 works for unity catalog enabled cluster or not ? I am trying to utilize the databricks-connect in Azure DevOps pipeline using Microsoft hosted agent. But getting the below error when running the databricks-connect test command...

  • 2747 Views
  • 4 replies
  • 2 kudos
Latest Reply
bastih
New Contributor III
  • 2 kudos

Hi @Rey Jhon​ Sadly, databricks-connect for DBR versions < 13 does not support UC, as outlined in the limitations section: https://docs.databricks.com/dev-tools/databricks-connect-legacy.html#limitations.To use UC, we recommend using DBR version >= 1...

  • 2 kudos
3 More Replies
Labels